%define _bindir /bin

Summary:	The GNU versions of the grep pattern matching utilities
Name:		grep
Version:	3.12
Release:	%mkrel 1
License:	GPLv3
Group:		Text tools
URL:		https://www.gnu.org/software/grep/grep.html
Source0:	https://ftp.gnu.org/pub/gnu/grep/%{name}-%{version}.tar.xz
Source1:	https://ftp.gnu.org/pub/gnu/grep/%{name}-%{version}.tar.xz.sig
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(libpcre2-posix)
BuildRequires:	texinfo
BuildRequires:	bison
# For tests
BuildRequires:	cvs
BuildRequires:	locales-en
BuildRequires:	locales-cs
BuildRequires:	locales-ja
BuildRequires:	locales-tr
BuildRequires:	locales-ru

%description
The GNU versions of the commonly used grep utilities.  Grep searches one or
more input files for lines which contain a match to a specified pattern
and then prints the matching lines.  GNU's grep utilities include grep,
egrep and fgrep.

You should install grep on your system, because it is a very useful utility
for searching through text files, for system administration tasks, etc.

%package doc
Summary:	Grep documentation in info format
Group:		Documentation

%description doc
The GNU versions of the commonly used grep utilities.  Grep searches one or
more input files for lines which contain a match to a specified pattern
and then prints the matching lines.  GNU's grep utilities include grep,
egrep and fgrep.

You should install grep on your system, because it is a very useful utility
for searching through text files, for system administration tasks, etc.

Install this package if you want info documentation on grep.

%prep
%autosetup -p1

%build
chmod +x tests/kwset-abuse
%configure \
    --without-included-regex \
    --enable-perl-regexp \
    --exec-prefix=/

%make_build

%install
%make_install

%find_lang %{name}

%check
make check

%files -f %{name}.lang
%{_bindir}/*
%{_mandir}/*/*

%files doc
%doc AUTHORS THANKS TODO NEWS README ChangeLog
%{_infodir}/*.info*


%changelog
* Thu Apr 10 2025 daviddavid <daviddavid> 3.12-1.mga10
+ Revision: 2174565
- new version: 3.12

* Fri Apr 05 2024 wally <wally> 3.11-5.mga10
+ Revision: 2054619
- basesystem rebuild for i686

* Sun May 14 2023 kekepower <kekepower> 3.11-4.mga9
+ Revision: 1956872
- Add upstream patch to fix failing y2038-vs-32-bit test on ix86
- Try failing test y2038-vs-32-bit with grep 3.11

* Sat May 13 2023 kekepower <kekepower> 3.11-2.mga9
+ Revision: 1956817
- Bump rel for rebuild
- Update to version 3.11

* Thu Mar 23 2023 kekepower <kekepower> 3.10-1.mga9
+ Revision: 1950090
- Update to version 3.10

* Fri Mar 10 2023 kekepower <kekepower> 3.9-1.mga9
+ Revision: 1948513
- Update to version 3.9

* Sat Sep 03 2022 kekepower <kekepower> 3.8-1.mga9
+ Revision: 1883619
- Add pcre2 BuildRequires
- Update to version 3.8

* Sat Apr 02 2022 umeabot <umeabot> 3.7-2.mga9
+ Revision: 1840575
- Mageia 9 Mass Rebuild

* Mon Jan 24 2022 luigiwalser <luigiwalser> 3.7-1.mga9
+ Revision: 1769640
- 3.7
- remove no longer needed patch

* Fri Dec 11 2020 wally <wally> 3.6-2.mga8
+ Revision: 1655435
- fix build with autoconf 2.70

* Wed Nov 11 2020 shlomif <shlomif> 3.6-1.mga8
+ Revision: 1644749
- New version 3.6

* Mon Sep 28 2020 kekepower <kekepower> 3.5-1.mga8
+ Revision: 1630994
- Update to version 3.5

* Wed Feb 19 2020 umeabot <umeabot> 3.4-2.mga8
+ Revision: 1542508
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 shlomif <shlomif> 3.4-1.mga8
+ Revision: 1476429
- New version 3.4

* Sat Dec 22 2018 kekepower <kekepower> 3.3-1.mga7
+ Revision: 1344437
- Update to version 3.3

* Mon Sep 03 2018 tv <tv> 3.1-2.mga7
+ Revision: 1256495
- Patch 2: fix build with glibc-2.28
- rely on filetriggers for info system (mga#23482)

* Wed Aug 23 2017 shlomif <shlomif> 3.1-1.mga7
+ Revision: 1144500
- New upstream version 3.1 (with some enhancements).

* Sat Feb 11 2017 shlomif <shlomif> 3.0-1.mga6
+ Revision: 1085784
- New upstream version 3.0 - thanks to Luigi Walser.

* Wed Dec 07 2016 shlomif <shlomif> 2.27-1.mga6
+ Revision: 1073048
- New version 2.27 - thx to Luigi

* Mon Oct 03 2016 shlomif <shlomif> 2.26-1.mga6
+ Revision: 1058219
- New upstream version 2.26 - thanks to LuigiWalser.

* Fri Apr 22 2016 shlomif <shlomif> 2.25-1.mga6
+ Revision: 1004877
- New version + typo fixes

* Fri Mar 11 2016 luigiwalser <luigiwalser> 2.24-1.mga6
+ Revision: 989158
- 2.24

* Fri Feb 05 2016 luigiwalser <luigiwalser> 2.23-1.mga6
+ Revision: 937837
- 2.23

* Mon Nov 09 2015 shlomif <shlomif> 2.22-2.mga6
+ Revision: 900025
- Bump rel for rebuild
- Disable a test that fails on the BS
- New version 2.22 - remove already applied patches

* Sun Oct 25 2015 blino <blino> 2.21-3.mga6
+ Revision: 895249
- add patches adapted from upstream gnulib to fix update-copyright test with perl 5.22 (and drop test skip)

* Fri Aug 21 2015 tmb <tmb> 2.21-2.mga6
+ Revision: 867456
- rebuild for new gcc

* Sun Jul 26 2015 blino <blino> 2.21-1.mga6
+ Revision: 857725
- skip test-update-copyright.sh which fails with perl 5.22
- 2.21
- rediff kwset-heap-buffer-overread patch

* Mon Jan 19 2015 luigiwalser <luigiwalser> 2.20-4.mga5
+ Revision: 811428
- add upstream patch to fix heap buffer overread (gnu bug#19563, CVE-2015-1345)

* Wed Oct 15 2014 umeabot <umeabot> 2.20-3.mga5
+ Revision: 746291
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.20-2.mga5
+ Revision: 679935
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 luigiwalser <luigiwalser> 2.20-1.mga5
+ Revision: 632716
- 2.20

* Fri May 23 2014 luigiwalser <luigiwalser> 2.19-1.mga5
+ Revision: 625119
- 2.19

* Sat Feb 22 2014 luigiwalser <luigiwalser> 2.18-1.mga5
+ Revision: 595650
- 2.18

* Tue Feb 18 2014 luigiwalser <luigiwalser> 2.17-1.mga5
+ Revision: 594537
- 2.17

* Fri Jan 03 2014 luigiwalser <luigiwalser> 2.16-1.mga4
+ Revision: 564043
- 2.16

* Thu Dec 05 2013 luigiwalser <luigiwalser> 2.15-1.mga4
+ Revision: 555420
- 2.15

* Fri Oct 18 2013 umeabot <umeabot> 2.14-7.mga4
+ Revision: 505224
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.14-6.mga3
+ Revision: 352598
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 2.14-5.mga3
+ Revision: 323595
- rebuild
- rebuild for new pcre
+ tmb <tmb>
- rebuild with bs to replace manually built one

* Sun Oct 14 2012 ennael <ennael> 2.14-2.mga3
+ Revision: 305432
- Documentation group

* Tue Aug 21 2012 fwang <fwang> 2.14-1.mga3
+ Revision: 282854
- new version 2.14

* Thu Jul 05 2012 fwang <fwang> 2.13-1.mga3
+ Revision: 267831
- new version 2.13

* Mon Jun 11 2012 luigiwalser <luigiwalser> 2.12-1.mga3
+ Revision: 259589
- 2.12

* Fri Apr 06 2012 blino <blino> 2.11-2.mga2
+ Revision: 228882
- fix segfault with -r --exclude-dir and no file operand (from upstream git)

* Sat Mar 03 2012 fwang <fwang> 2.11-1.mga2
+ Revision: 217113
- new version 2.11

* Fri Nov 18 2011 boklm <boklm> 2.10-1.mga2
+ Revision: 168962
- version 2.10
- drop all patches

* Wed Jun 29 2011 tv <tv> 2.9-1.mga2
+ Revision: 116158
- new release

* Fri Jun 17 2011 tv <tv> 2.8-1.mga2
+ Revision: 109265
- new release
- fix signature URL

* Tue Jan 04 2011 tmb <tmb> 2.7-2.mga1
+ Revision: 153
- imported package grep


* Tue Jan  4 2011 Thomas Backlund <tmb@mageia.org> 2.7-2.mga1
- initial import

* Wed Sep 22 2010 Funda Wang <fwang@mandriva.org> 2.7-1mdv2011.0
+ Revision: 580499
- new version 2.7

* Sat Apr 03 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.3-1mdv2010.1
+ Revision: 530875
- update to new version 2.6.3
- disable patches 100, 110 and 301 for now

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Updated to 2.6.2.

* Sun Mar 28 2010 Eugeni Dodonov <eugeni@mandriva.com> 2.6.1-3mdv2010.1
+ Revision: 528538
- Added upstream patch for --exclude/--include crash.

* Sun Mar 28 2010 Eugeni Dodonov <eugeni@mandriva.com> 2.6.1-2mdv2010.1
+ Revision: 528349
- Skip multibyte check for now as it breaks on our build system.
- P200: fix failing multibyte test.
- Updated to 2.6.1.
  Sync patches.

* Wed Mar 24 2010 Eugeni Dodonov <eugeni@mandriva.com> 2.6-1mdv2010.1
+ Revision: 526985
- Updated to 2.6.
  Drop merged patches.

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 2.5.4-3mdv2010.1
+ Revision: 519007
- rebuild

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.5.4-2mdv2010.0
+ Revision: 425025
- rebuild

* Tue Feb 24 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.5.4-1mdv2009.1
+ Revision: 344581
- update to new version 2.5.4
- new license policy
- add buildrequires on bison
- patches 12 and 111 were merged by upstream
- patches 11, 13 and 109 were fixed differently by upstream
- add more docs

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.3-8mdv2009.1
+ Revision: 316758
- rediffed some fuzzy patches
- fix build with -Werror=format-security (P112)

* Fri Oct 10 2008 Pixel <pixel@mandriva.com> 2.5.3-7mdv2009.1
+ Revision: 291349
- fix configure issue that was breaking patch106 (thanks to ubuntu, cf #44592)

* Tue Jul 15 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.3-6mdv2009.0
+ Revision: 235868
- fix #41922 (grep : option "-i"  doesn' t work with some locales)
- added P13 from gentoo

* Sun Jul 06 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.3-5mdv2009.0
+ Revision: 232129
- fix broken tests (P4)
- added P110,P111 from debian

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sat Mar 08 2008 Anssi Hannula <anssi@mandriva.org> 2.5.3-3mdv2008.1
+ Revision: 182053
- buildrequires pcre-devel for -P support (fixes #38657)

* Tue Jan 22 2008 Pixel <pixel@mandriva.com> 2.5.3-2mdv2008.1
+ Revision: 156205
- re-enable perl regexp for grep -P ("make check" do work due to patch11) (#36993)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 12 2007 Pixel <pixel@mandriva.com> 2.5.3-1mdv2008.1
+ Revision: 108146
- new release 2.5.3
- adapt failing tests
- remove configure option --without-included-regex (it is the default)
- add configure option --disable-perl-regexp (as done in debian)
- add patches from debian
- replace patch2 (oi: icase) with one from debian
- drop applied patches: patch3 (manpage), patch6 (P), patch9 (skip-devices)
- drop unneeded patches: patch1 (i18n), patch4 (color), patch5 (icolor)
- drop patch7 (wordmatch) hopefully fixed in 64-egf-speedup.patch
- drop patch10 and don't rename "no" to "nb" anymore
  ("nb" users should have LANGUAGE=nb:no)


* Tue Jan 30 2007 Götz Waschk <waschk@mandriva.org> 2.5.1a-2mdv2007.0
+ Revision: 115444
- Import grep

* Tue Jan 30 2007 Götz Waschk <waschk@mandriva.org> 2.5.1a-2mdv2007.1
- unpack patches

* Mon May 22 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.5.1a-2mdk
- sync some fedora & suse patches
- %%mkrel
- move 'make check' to new %%check stage
- fix post & preun requires

* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.5.1a-1mdk
- 2.5.1a
- fix summary-ended-with-dot
- do test
- cosmetics

* Fri May 28 2004 Abel Cheung <deaddog@deaddog.org> 2.5.1-5mdk
- Drop patch0 (useless now)
- Updated patch1 from openi18n
- Don't bundle horribly outdated (4yrs+) translations
- Remove unnecessary (Build)Requires
- (Should grep use included regex library?)

